Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.core
Interface IFeatureReference

All Superinterfaces:
  IAdaptable, IPlatformEnvironment

All Known Subinterfaces:
  IIncludedFeatureReference, ISiteFeatureReference

All Known Implementing Classes:
  FeatureReference, IncludedFeatureReference, SiteFeatureReference

public interface IFeatureReference
extends IAdaptable, IPlatformEnvironment

Feature reference. A reference to a feature.

Clients may implement this interface. However, in most cases clients should directly instantiate or subclass the provided implementation of this interface.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `FeatureReference`

Method Summary
`IFeature` | `getFeature()` Deprecated. use getFeature(IProgressMonitor) instead
`IFeature` | `getFeature(IProgressMonitor monitor)` Returns the referenced feature.
`String` | `getName()` Returns the label for the referenced feature
`ISite` | `getSite()` Returns the update site for the referenced feature
`URL` | `getURL()` Returns the referenced feature URL.
`VersionedIdentifier` | `getVersionedIdentifier()` Returns the feature identifier.
`boolean` | `isPatch()` Returns `true` if this feature is patching another feature, `false` otherwise
`void` | `setSite(ISite site)` Associates a site with the feature reference.
`void` | `setURL(URL url)` Sets the feature reference URL.

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.update.core.IPlatformEnvironment
`getNL, getOS, getOSArch, getWS`

Method Detail

### getURL

    public URL getURL()

  Returns the referenced feature URL.

  Returns:
    feature URL
  Since:
    2.0

### getSite

    public ISite getSite()

  Returns the update site for the referenced feature

  Returns:
    feature site
  Since:
    2.0

### getName

    public String getName()

  Returns the label for the referenced feature

  Returns:
    the label
  Since:
    2.1

### getFeature

    public IFeature getFeature()
                        throws CoreException

  Deprecated. use getFeature(IProgressMonitor) instead

  Returns the referenced feature. This is a factory method that creates the full feature object.

  Returns:
    the referenced feature
  Throws:
    `CoreException`
  Since:
    2.0

### getFeature

    public IFeature getFeature(IProgressMonitor monitor)
                        throws CoreException

  Returns the referenced feature. This is a factory method that creates the full feature object.

  Parameters:
    `monitor` - the progress monitor
  Returns:
    the referenced feature
  Throws:
    `CoreException`
  Since:
    2.1

### getVersionedIdentifier

    public VersionedIdentifier getVersionedIdentifier()
                                               throws CoreException

  Returns the feature identifier.

  Returns:
    the feature identifier.
  Throws:
    `CoreException`
  Since:
    2.0

### setURL

    public void setURL(URL url)
                throws CoreException

  Sets the feature reference URL. This is typically performed as part of the feature reference creation operation. Once set, the url should not be reset.

  Parameters:
    `url` - reference URL
  Throws:
    `CoreException`
  Since:
    2.0

### setSite

    public void setSite(ISite site)

  Associates a site with the feature reference. This is typically performed as part of the feature reference creation operation. Once set, the site should not be reset.

  Parameters:
    `site` - site for the feature reference
  Since:
    2.0

### isPatch

    public boolean isPatch()

  Returns `true` if this feature is patching another feature, `false` otherwise

  Returns:
    boolean
  Since:
    2.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.